#include "wit_wt901ble_reader/wit_wt901ble_reader.h"

using namespace std;
using namespace wt901ble_reader;

wt901ble_node* node;
Diagnostics* diagnostics_node;
int main(int argc, char** argv)
{
    ros::init(argc, argv, "wit_wt901ble_reader_node");
    ros::start();
    string nodename = ros::this_node::getName();
    node = new wt901ble_node(nodename);
    diagnostics_node = new Diagnostics(nodename);
    ros::spin();
    delete(node);
    delete(diagnostics_node);
    return 0;
}